#
# spec file for package sca-appliance-common
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sca_common sca
%define sca_libdir /usr/lib/%{sca_common}
%define sca_webdir /srv/www/htdocs/%{sca_common}
%define sca_configdir %{_sysconfdir}/%{sca_common}

Name:           sca-appliance-common
Version:        1.3
Release:        2.11
Summary:        Supportconfig Analysis Appliance Common Files
License:        GPL-2.0-only
Group:          System/Monitoring
URL:            https://github.com/g23guy/sca-appliance-common
Source:         %{name}-%{version}.tar.gz
Requires:       curl
Recommends:     php, php-bz2, php-mbstring, php-mcrypt, php-mysql, php-zip, php-zlib
Recommends:     mod_php_any
Requires:       %{_bindir}/awk
Requires:       %{_bindir}/dos2unix
Requires:       %{_bindir}/sed
Requires:       %{_bindir}/ssh
Requires:       %{_bindir}/vmstat
Requires:       %{_sbindir}/mysqld
Requires:       /bin/logger
Requires:       /bin/ping
Requires:       apache2
BuildArch:      noarch

%description
Provides the common files needed by both the SCA Broker, Agent and pattern development.

%prep
%setup -q

%build

%install
pwd;ls -la
install -d %{buildroot}%{sca_libdir}
install -d %{buildroot}%{sca_configdir}
install -d %{buildroot}%{sca_webdir}
install -d %{buildroot}%{_docdir}/%{name}
install -d %{buildroot}/var/log/archives
install -m 444 docs/COPYING.GPLv2 %{buildroot}%{_docdir}/%{name}
install -m 644 websca/* %{buildroot}%{sca_webdir}
install -m 600 websca/web-config.php %{buildroot}%{sca_webdir}

%files
%defattr(-,root,root)
%dir %{sca_configdir}
%dir %{sca_libdir}
%dir %attr(-,wwwrun,www) %{sca_webdir}
%dir %{_docdir}/%{name}
%dir %attr(775,root,users) /var/log/archives
%attr(-,wwwrun,www) %{sca_webdir}/*
%doc %{_docdir}/%{name}/*

%changelog
* Fri Mar 12 2021 jason.record@suse.com
- Removed reference to Novell in the Makefile, no changes to code
* Mon Dec 18 2017 jason.record@suse.com
- Updated spec file with spec-cleaner suggestions
- Now owns sca configuration, web and library directories
* Mon May 12 2014 jrecord@suse.com
- Moved reportfull.php to sca-appliance-broker and sca-appliance-agent
- Fixed connection error
- Fixed build errors for common directory
- Moved to mysqli so db-*php have been replaced (bnc#876918)
- Removed missing SR number field, only displays when SR found
* Fri May  2 2014 jrecord@suse.com
- Changed PHP from requires to recommends, PHP available on web module
* Mon Apr 21 2014 jrecord@suse.com
- Report overview matches scatool
* Wed Mar 26 2014 jrecord@suse.com
- Updated Requires to more generic strings
* Tue Mar 18 2014 jrecord@suse.com
- Removed config file status for db-config.php and web-config.php
* Thu Mar 13 2014 jrecord@suse.com
- Change to System/Monitoring spec Group
* Tue Feb 11 2014 jrecord@suse.com
- Added requires apache2-mod_php5
* Fri Jan 31 2014 jrecord@suse.com
- changed reportfull.php info table width
- changed supportconfig run date order
- added web-config.php for use by login.php
- added supportconfig run date to reportfull.php
* Wed Jan 22 2014 jrecord@suse.com
- Commented out debug statements to avoid xss
* Thu Jan 16 2014 jrecord@suse.com
- Clean up unused variable
- Cleaned up spec file
- Added pattern link to login screen
- Fixed pattern report identifier link
- Changed Internal to SRView
- Archive File links of file:// are not supported for hyper links
* Thu Jan  2 2014 jrecord@suse.com
- initialized
